<?php
  //solicitamos archivo de conexion a mysql
  require_once('../../conf/connection.php');
  //si an pulsado el boton de enviar
  
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $descuento=stripslashes($_POST["desc"]);
	  
	  $desc="-".$descuento;
	  $idpedido=stripslashes($_POST["idpedido"]);
	  $idplatos="180";
	  

if( $desc==""){ ?> 
<script>alert("Error: Existen campos vacios"); window.history.back(); </script> 
<? }else{	
	
  
			$insertar="insert into detalles_pedido (iddetalles_pedido, cantidad, valor_unitario, valor_total, 
			idplatos, numero) 
			values (";
			$insertar.="\"\", \"0\", \"0\", \"$desc\",\"$idplatos\",\"$idpedido\")";       
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			
			//restar de tabla "poedido";
			
			$query="SELECT * FROM pedido  WHERE idpedido='$idpedido'";
            $rs_query=mysql_query($query);
            $total_venta=mysql_result($rs_query,0,"total_venta");
            
			$total_desc=$total_venta-$descuento;
			echo $total_venta;
			$query_mod="UPDATE pedido SET total_venta='$total_desc' WHERE idpedido='$idpedido'";
            $rs_query_mod=mysql_query($query_mod);

			
			mysql_close($conn);
			
			
			
			
			?> <script> alert("Descuento agregado con exito!");
            window.close();
            </script>
               w
             <?
		
  }
  
  
?>